Auto Multiple Choice - Bug # 850: baréme 1/0 a une question
Description: Bonjour,

Lors du codage numérique du nombre 0,( 0.0 avec une approximation a 0), AMC applique un baréme de 1/0,
compte bien le point mais n'ajoute pas la question au baréme global. On peut bien sur le corriger avec un
SUF ajusté, mais ce n'est pas satisfaisant. De plus, le signe +0.0, habituellement retenu est maintenant cerclé
comme une erreur:

Je joins une capture d'écran en piéce jointe.

Bonne journée,

Marc Meyer

History

10/11/2022 04:53 pm - Frédéric Bréal

- File Tous_etudiants.pdf added

Je n'ai pas ce probleme avec la version 1.5.2+git2022-10-03

10/21/2022 06:15 pm - Denis DUBAJ
Bonjour,

J'ai rencontré le méme probleme que Marc.

Mes questions numériques sont paramétrées avec l'option "strict=true".

En mettant I'option "strict" a "false", j'ai le comportement présenté par Frédéric.

Pourquoi l'option "true" est problématique?

Je fonctionne sur Ubuntu 22-04 et AMC 1-5-2.

Cordialement,

Denis Dubaj

10/23/2022 12:32 pm - Alexis Bienvenlie
- Status changed from New to Resolved

- % Done changed from 0 to 100

C'est un bogue : quand le résultat vaut 0, le corrigé fabriqué par AMC ne coche ni la case - ni la case +, et donc son score, qui sera considéré comme
score maximal, vaut 0 en mode strict (car en mode strict il _faut_ cocher une case de signe).

C'est corrigé par git:50434b1d4b5b52, qui est maintenant dans le dép6t PPA test.

10/24/2022 01:01 pm - Denis DUBAJ
Trés bien. Merci pour le retour.
Denis
